* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  word-wrap: break-word;
}

html, body {
  height:100%; 
}

body {
  margin-top: 0;
  color: #fff;
  background: linear-gradient(
    135deg,
    rgba(242, 150, 6, 1) 0%,
    rgba(243, 91, 86, 1) 25%,
    rgba(238, 23, 127, 1) 50%,
    rgba(82, 4, 171, 1) 75%,
    rgba(6, 169, 236, 1) 100%
  );

  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;

  background-attachment: fixed;
}

main {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-content: stretch;
}

h1 {
  text-align: center;
}

.forms__container {
  flex-grow: 1;
  max-width: 880px;
  width: 100%;
  margin: 0px auto;
  padding: 48px;
  background: transparent;
  text-align: center;
}

.div--form {
  max-width: 448px;
  width: 100%;
  margin: 0px auto;
  padding: 38px;
}

.number-form__container,
.otp__container {
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.field input,
.field button {
  font-size: 16px;
  line-height: 28px;
  padding: 14px 16px;
  width: 100%;
  border: unset;
  border-radius: 30px;
  outline-color: rgb(84 105 212 / 0.5);
  background-color: rgb(255, 255, 255);
  font-size: 20px;
  outline: none;
}

button[type="submit"] {
  background-color: #000;
  color: #fff;
  font-weight: 600;
  cursor: pointer;
  text-transform: uppercase;
  margin: 24px 0;
}

.d-none {
  display: none;
}

a {
  color: #fff;
}

.logo {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 48px;
}

.logo img {
  width: 100%;
  max-width: 360px;
  height: auto;
}

.p-3 {
  padding: 1rem;
}

.mt-3 {
  margin-top: 1rem;
}

.number-form__error,
.otp-form__error {
  line-height: 3rem;
  background-color: #fff;
  color: red;
  border: 1px solid red;
  border-radius: 30px;
  margin: 2rem;
}

.otp-form__success {
  line-height: 3rem;
  background-color: #fff;
  color: green;
  border: 1px solid green;
  border-radius: 30px;
  margin: 2rem;
}

input[name="otp"] {
  letter-spacing: 10px;
  font-weight: bold;
  text-align: center;
}

input[name="phone_number"] {
  letter-spacing: 1px;
}

.font-weight-bold {
  font-weight: bold;
}

@media (max-width: 768px) {
  h1 {
    padding: 0 0 24px 0 !important;
  }
  .forms__container {
    padding: 0px !important;
  }
  .div--form,
  .div--info {
    padding: 24px;
  }

  .number-form__container, .otp__container {
    justify-content: space-between;
  }

  .logo, .div--info {
    padding: 24px 24px 0 24px;
  }
}
